CVE-2004-2560
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-10 15:34:04
NMCOS    

[原文]DokuWiki before 2004-10-19, when used on a web server that permits execution based on file extension, allows remote attackers to execute arbitrary code by uploading a file with an appropriate extension such as ".php" or ".cgi".


[CNNVD]DokuWiki远程任意文件上传漏洞(CNNVD-200412-402)

        DokuWiki 2004-10-19之前的版本在用于允许基于文件拓展名的执行的web服务器时存在漏洞。远程攻击者可以通过上传带有适当拓展名(如:".php"或".cgi")的文件来执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:andreas_gohr:dokuwiki:release_2004-07-04
cpe:/a:andreas_gohr:dokuwiki:release_2004-08-15a
cpe:/a:andreas_gohr:dokuwiki:release_2004-08-08
cpe:/a:andreas_gohr:dokuwiki:release_2004-09-25
cpe:/a:andreas_gohr:dokuwiki:release_2004-07-25
cpe:/a:andreas_gohr:dokuwiki:release_2004-08-22
cpe:/a:andreas_gohr:dokuwiki:release_2004-07-21
cpe:/a:andreas_gohr:dokuwiki:release_2004-07-07
cpe:/a:andreas_gohr:dokuwiki:release_2004-09-12
cpe:/a:andreas_gohr:dokuwiki:release_2004-09-30
cpe:/a:andreas_gohr:dokuwiki:release_2004-07-12

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2560
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2560
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-402
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/11486
(PATCH)  BID  11486
http://www.osvdb.org/11084
(PATCH)  OSVDB  11084
http://xforce.iss.net/xforce/xfdb/17899
(UNKNOWN)  XF  dokuwiki-file-upload(17899)
http://wiki.splitbrain.org/wiki:old_changes
(UNKNOWN)  CONFIRM  http://wiki.splitbrain.org/wiki:old_changes

- 漏洞信息

DokuWiki远程任意文件上传漏洞
高危 输入验证
2004-12-31 00:00:00 2006-01-24 00:00:00
远程  
        DokuWiki 2004-10-19之前的版本在用于允许基于文件拓展名的执行的web服务器时存在漏洞。远程攻击者可以通过上传带有适当拓展名(如:".php"或".cgi")的文件来执行任意代码。

- 公告与补丁

        DokuWiki 2004-10-19 is available to address this issue.
        DokuWiki DokuWiki 2004-09-25
        
        DokuWiki DokuWiki 2004-09-12
        
        DokuWiki DokuWiki 2004-08-08
        
        DokuWiki DokuWiki 2004-08-15a
        
        DokuWiki DokuWiki 2004-07-25
        
        DokuWiki DokuWiki 2004-08-15
        
        DokuWiki DokuWiki 2004-09-30
        
        DokuWiki DokuWiki 2004-07-21
        
        DokuWiki DokuWiki 2004-08-22
        

- 漏洞信息

11084
Dokuwiki Extension Mismatch Arbitrary File Upload
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

DokuWiki contains a flaw that may allow a malicious user to upload arbitrary files with the permissions of the web server. The issue is triggered because the program does not perform checks on uploads. It is possible that the flaw may allow attackers to write malicious files to the server, resulting in a loss of integrity.

- 时间线

2004-10-17 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2004-10-19 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

DokuWiki Remote Arbitrary File Upload Vulnerability
Input Validation Error 11486
Yes No
2004-10-20 12:00:00 2009-07-12 08:06:00
This issue was disclosed by the vendor.

- 受影响的程序版本

DokuWiki DokuWiki 2004-09-30
DokuWiki DokuWiki 2004-09-25
DokuWiki DokuWiki 2004-09-12
DokuWiki DokuWiki 2004-08-22
DokuWiki DokuWiki 2004-08-15a
DokuWiki DokuWiki 2004-08-15
DokuWiki DokuWiki 2004-08-08
DokuWiki DokuWiki 2004-07-25
DokuWiki DokuWiki 2004-07-21
DokuWiki DokuWiki 2004-10-19

- 不受影响的程序版本

DokuWiki DokuWiki 2004-10-19

- 漏洞讨论

DokuWiki is reported prone to a remote arbitrary file upload vulnerability. This issue can allow attackers to upload arbitrary files such as PHP scripts to a vulnerable computer. These files could be executed by the hosting Web server, resulting in arbitrary code execution.

This vulnerability has been reported for DokuWiki 2004-09-30 and prior.

- 漏洞利用

An exploit is likely not required to trigger this issue.

- 解决方案

DokuWiki 2004-10-19 is available to address this issue.


DokuWiki DokuWiki 2004-09-25

DokuWiki DokuWiki 2004-09-12

DokuWiki DokuWiki 2004-08-08

DokuWiki DokuWiki 2004-08-15a

DokuWiki DokuWiki 2004-07-25

DokuWiki DokuWiki 2004-08-15

DokuWiki DokuWiki 2004-09-30

DokuWiki DokuWiki 2004-07-21

DokuWiki DokuWiki 2004-08-22

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站